#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              2.1.0.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-2.1.0.0-EBXz8tWkK9NKcyGNZ3HaAN-tasty-sugar-internal

key:
    tasty-sugar-2.1.0.0-EBXz8tWkK9NKcyGNZ3HaAN-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  ac7a9d4eaab0680769f09fe350eaf28b
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.Candidates Test.Tasty.Sugar.ExpectCheck
    Test.Tasty.Sugar.Iterations Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-2.1.0.0-EBXz8tWkK9NKcyGNZ3HaAN-tasty-sugar-internal

depends:
    base-4.15.1.0 containers-0.6.4.1 directory-1.3.6.2
    filemanip-0.3.6.3-BQShDSE7086DWatCQ7XKUn filepath-1.4.2.1
    kvitable-1.0.2.1-CgPgjwZnZ0rFP53PcxFyRV
    logict-0.7.1.0-9f5fMxvAqatAhXlVt2neQj
    microlens-0.4.13.1-AoR6D5midYZB5ErWoiySs4 mtl-2.2.2
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-CtNvMFFYlbOL2GzmBKSXtx text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              2.1.0.0
visibility:           public
id:                   tasty-sugar-2.1.0.0-9zgk8njJHCN4hGH2G8hdcO
key:                  tasty-sugar-2.1.0.0-9zgk8njJHCN4hGH2G8hdcO
license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  94d102fb2643a702636694a120d4f828
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-2.1.0.0-9zgk8njJHCN4hGH2G8hdcO
depends:
    base-4.15.1.0 containers-0.6.4.1 directory-1.3.6.2
    filemanip-0.3.6.3-BQShDSE7086DWatCQ7XKUn filepath-1.4.2.1
    logict-0.7.1.0-9f5fMxvAqatAhXlVt2neQj
    optparse-applicative-0.17.1.0-AxEI8mDLbJi7Q5pwqU28ta
    prettyprinter-1.7.1-CtNvMFFYlbOL2GzmBKSXtx
    tasty-1.4.3-JF29wrJOMmrECfdI5igSTp
    tasty-sugar-2.1.0.0-EBXz8tWkK9NKcyGNZ3HaAN-tasty-sugar-internal
    text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

